{% extends 'base.html.twig' %}
{% block stylesheets %}
    <link rel="stylesheet" href="{{ asset("frontassets/css/dropzone.css") }}"/>

{% endblock %}
{% block body %}
    {% include "_header.html.twig" %}

 <div class="main-container">
        <div class="container">
            <div class="row">

                {% for label, messages in app.flashes %}

                    {% for message in messages %}
                        <div class="alert alert-{{ label }}" role="{{ label }}">
                            {{ message }}
                        </div>
                    {% endfor %}
                {% endfor %}
                <div class="col-md-9 page-content">
                    <div class="inner-box category-content" style="background-color: #fff">
                        <h2 class="title-2 uppercase"><strong> <i class="icon-docs"></i> Ajouter des photos pour l' annonce {{ title }}</strong></h2>
                        <div class="row">
                            <div class="form-group">
                                <div class="col-md-12">
                                    <div data-balloon-length="large" data-balloon="Déposez vos photos ici ou cliquez pour télécharger." data-balloon-pos="up" class="dropzone my-dropzone" id="form_snippet_image" action="{{path('ajax_snippet_photo_send', {'id':id})}}">
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="col-md-3 control-label" for="kilometrage"></label>
                                <div class="col-md-8">

                                </div>
                            </div>

                        </div>
                        <div class="content-footer text-left">
                            <br><br><br>
                            <a class="btn  btn-default" href="{{ path('application_new', {'type': type }) }}"> Passer aux suivant <i class="fa fa-chevron-right fa-1x"></i></a>
                            <a class="btn  btn-info" href="{{ path('user_vehicles') }}" style="float: right"><i class=" icon-check"></i> Terminer </a>
                        </div>
                        </div>
                    </div>


                <div class="col-md-3 reg-sidebar">
                    <div class="reg-sidebar-inner text-center">
                        <div class="panel sidebar-panel">
                            <div class="panel-heading uppercase">
                                <small><strong>Comment Vendre Rapidement?</strong></small>
                            </div>
                            <div class="panel-content">
                                <div class="panel-body text-left">
                                    <ul class="list-check">
                                        <li> Utilisez un bref titre et une description de l'élément</li>
                                        <li> Assurez-vous de publier dans la bonne catégorie</li>
                                        <li> Ajoutez de belles photos à votre annonce</li>
                                        <li> Mettez un prix raisonnable</li>
                                        <li> Vérifiez l'annonce avant de la publier</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                </div>

            </div>
        </div>

    {% include "_footer.html.twig" %}
{% endblock %}
{% block javascript %}


    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="{{ asset('frontassets/assets/js/fileinput.min.js') }}" type="text/javascript"></script>
    <script src="{{ asset('frontassets/js/dropzone.js') }}"></script>
    <script type="text/javascript">
        //je récupère l'action où sera traité l'upload en PHP
        var _actionToDropZone = $("#form_snippet_image").attr('action');
        console.log('Im here '+_actionToDropZone)

        //je définis ma zone de drop grâce à l'ID de ma div citée plus haut.
        Dropzone.autoDiscover = false;
        var myDropzone = new Dropzone("#form_snippet_image",
            { url: _actionToDropZone,
                /*addRemoveLinks: true,
                dictRemoveFile:"Supprimer",
                dictRemoveFileConfirmation:"Ok",*/

                queuecomplete:function(file, response)
                {

                }

            });


        myDropzone.on("addedfile", function(file) {
            /**/

            $('div.dz-size').remove();
            $('div.dz-filename').remove()

            file.previewElement.addEventListener("click", function() {

                console.log(file.upload)
                myDropzone.removeFile(file);
                // Request the models of the selected marque.
                $.ajax({
                    url: "{{ path('delete_uploaded_photo') }}",
                    type: "POST",
                    dataType: "JSON",
                    data: {
                        deleted_photo: file.upload['filename']
                    },
                    success: function (photo) {
                        console.log(photo)
                    },
                    error: function (err) {
                        alert("An error ocurred while deleted data ...");
                    }
                });
            });
        });
/*        Dropzone.options.myDropzone = {
            init: function() {
                thisDropzone = this;
                <!-- 4 -->
                $.get(_actionToDropZone, function(data) {

                    <!-- 5 -->
                    $.each(data, function(key,value){

                        var mockFile = { name: value.name, size: value.size };

                        thisDropzone.options.addedfile.call(thisDropzone, mockFile);

                        thisDropzone.options.thumbnail.call(thisDropzone, mockFile, "uploads/"+value.name);

                    });

                });
            }
        };*/

    </script>
    {% endblock %}